Subject: Re: [PATCH 04/15] Set _O_BINARY as default fmode for both MinGW and MSVC

From: Johannes Sixt <[email-masked]>
Date: Thu, 17 Sep 2009 15:30:36 +0200

[for the archives: this is about intermittent failures of t3903-stash.sh
with MinGW git]

Alexey Borzenkov schrieb:
> "after finding i_tree and i_commit" is immediately before calculating
> w_tree. As you can see, "before git read-tree" is off by a second. I
> think it's just a bug in msys, cp -p doesn't preserve mtime exactly.
> :-/

Ah, now I recall everything: git-stash.sh does "cp -p", and from the times
where git-commit was still a shell script I know that this does not always
preserve the timestamp correctly. Since this is a bug attributable to MSYS
(and not MinGW git), I was satisfied by simply inserting 'sleep 1' in the
test case to avoid the racily-clean situation. (Although today, I would
modify the content to have a different size.)

-- Hannes